Package groovy.model

# Class ValueHolder

java.lang.Object
groovy.model.ValueHolder

All Implemented Interfaces:
  `ValueModel`

    @Deprecated
    public class ValueHolder
    extends java.lang.Object
    implements ValueModel

Deprecated.
A simple ValueModel implementation which is a holder of an object value. Used to share local variables with closures

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ValueHolder()` | Deprecated.
  `ValueHolder​(java.lang.Class type)` | Deprecated.
  `ValueHolder​(java.lang.Object value)` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addPropertyChangeListener​(java.beans.PropertyChangeListener listener)` | Deprecated. Add a PropertyChangeListener to the listener list.
  `java.lang.Class` | `getType()` | Deprecated.
  `java.lang.Object` | `getValue()` | Deprecated.
  `boolean` | `isEditable()` | Deprecated.
  `void` | `removePropertyChangeListener​(java.beans.PropertyChangeListener listener)` | Deprecated. Removes a PropertyChangeListener from the listener list.
  `void` | `setEditable​(boolean editable)` | Deprecated.
  `void` | `setValue​(java.lang.Object value)` | Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ValueHolder

    public ValueHolder()
    Deprecated.

  - ### ValueHolder

    public ValueHolder​(java.lang.Class type)
    Deprecated.

  - ### ValueHolder

    public ValueHolder​(java.lang.Object value)
    Deprecated.

- ## Method Details

  - ### addPropertyChangeListener

    public void addPropertyChangeListener​(java.beans.PropertyChangeListener listener)
    Deprecated.
    Add a PropertyChangeListener to the listener list.
    Parameters:
      `listener` - The listener to add.

  - ### removePropertyChangeListener

    public void removePropertyChangeListener​(java.beans.PropertyChangeListener listener)
    Deprecated.
    Removes a PropertyChangeListener from the listener list.
    Parameters:
      `listener` - The listener to remove.

  - ### getValue

    public java.lang.Object getValue()
    Deprecated.
    Specified by:
      `getValue` in interface `ValueModel`

  - ### setValue

    public void setValue​(java.lang.Object value)
    Deprecated.
    Specified by:
      `setValue` in interface `ValueModel`

  - ### getType

    public java.lang.Class getType()
    Deprecated.
    Specified by:
      `getType` in interface `ValueModel`

  - ### isEditable

    public boolean isEditable()
    Deprecated.
    Specified by:
      `isEditable` in interface `ValueModel`

  - ### setEditable

    public void setEditable​(boolean editable)
    Deprecated.